"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.normalize = exports.ucfirst = exports.truncate = exports.clean = void 0;
const crypto_1 = require("crypto");
exports.clean = (input) => {
    return exports.truncate(input.replace(/[^a-z0-9+]+/gi, ''));
};
const md5 = (input) => {
    return crypto_1.createHash('md5').update(input).digest('hex');
};
exports.truncate = (input) => {
    return input.length <= 64 ? input : input.substr(0, 32) + md5(input);
};
exports.ucfirst = (data) => {
    return `${data.charAt(0).toUpperCase()}${data.slice(1)}`;
};
exports.normalize = (functionName) => {
    return exports.ucfirst(functionName.replace(/-/g, 'Dash').replace(/_/g, 'Underscore'));
};
//# sourceMappingURL=utility.js.map